# Copyright 2023 ACSONE SA/NV
# License AGPL-3.0 or later (https://www.gnu.org/licenses/agpl).

{
    "name": "Shopinvader App Demo",
    "summary": """
        Adds a demo application on fastapi endpoint for a
        demo shopinvader application that takes every router
        """,
    "version": "16.0.1.0.1",
    "license": "AGPL-3",
    "author": "ACSONE SA/NV",
    "website": "https://github.com/shopinvader/odoo-shopinvader",
    "depends": [
        "connector_elasticsearch",
        "fastapi",
        "sale_channel_search_engine_category",
        "sale_channel_search_engine_product",
        "shopinvader_anonymous_partner",
        "shopinvader_api_address",
        "shopinvader_api_cart",
        "shopinvader_api_customer",
        "shopinvader_api_delivery_carrier",
        "shopinvader_api_payment_cart",
        "shopinvader_api_payment_provider_custom",
        "shopinvader_api_payment_provider_sips",
        "shopinvader_api_payment_provider_stripe",
        "shopinvader_api_sale_loyalty",
        "shopinvader_api_sale",
        "shopinvader_api_settings",
        "shopinvader_api_signin_jwt",
        "shopinvader_api_wishlist",
        "shopinvader_fastapi_auth_jwt",
        "shopinvader_product_brand_tag",
        "shopinvader_product_brand",
        "shopinvader_product_description",
        "shopinvader_product_seo",
        "shopinvader_product_url",
        "shopinvader_product",
        "shopinvader_search_engine_image",
        "shopinvader_search_engine_product_brand_image",
        "shopinvader_search_engine_product_price",
        "shopinvader_search_engine_product_stock_state",
        "shopinvader_search_engine_update_image",
        "shopinvader_search_engine_update_product_brand_image",
        "shopinvader_search_engine_update_product_brand",
        "shopinvader_search_engine_update_product_media",
        "shopinvader_search_engine_update_product_template_multi_link",
        "shopinvader_search_engine",
    ],
    "external_dependencies": {"python": ["fastapi"]},
    "data": [
        "views/fastapi_endpoint.xml",
    ],
    "demo": [
        "demo/res_users.xml",
        "demo/res_groups.xml",
        "demo/auth_jwt_validator.xml",
        "demo/fastapi_endpoint.xml",
        "demo/se_backend.xml",
        "demo/se_index_config.xml",
        "demo/se_index.xml",
        "demo/se_image_field_thumbnail_size.xml",
        "demo/fs_storage.xml",
    ],
}
